%YAML 1.1
# Capability Interface file for Navigation
---
name: Navigation
spec_version: 1
spec_type: interface
description: 'This Capability describes the minimal interface for interacting with a robot which has the ability to navigate its environment autonomously.'
interface:
  topics:
    provides:
      'obstacles':
        type: 'nav_msgs/GridCells'
      'inflated_obstacles':
        description: 'Area around obstacles which the navigation system is trying to avoid'
        type: 'nav_msgs/GridCells'
    requires:
      'goal':
        type: 'geometry_msgs/PoseStamped'
  services:
    provides:
      'get_map':
        type: 'nav_msgs/GetMap'
  parameters:
    requires:
      'map_delta':
        type: 'int'
        description: 'resolution of the map used in navigation'
  dynamic_parameters:
    - 'max_speed'
